summaryrefslogtreecommitdiffstats
path: root/scripts/t-rex-64-debug-gdb
diff options
context:
space:
mode:
authorYaroslav Brustinov <ybrustin@cisco.com>2017-02-27 20:41:53 +0200
committerYaroslav Brustinov <ybrustin@cisco.com>2017-02-27 20:41:53 +0200
commita7fbd337035d5a5b1ca59ae290d995232a3adc22 (patch)
tree463284124bc69ea3a4ac9173a930940f1ba23e00 /scripts/t-rex-64-debug-gdb
parentd812110d34d0188ad1a1e6258d49d48a13e6e5ef (diff)
dpdk_setup_ports: change return code to 32 in case of Mellanox NICs.
Add info on packages for compiling .ko file. Change-Id: Ic958a339ad6af696764cb76d95d72776afc8b304 Signed-off-by: Yaroslav Brustinov <ybrustin@cisco.com>
Diffstat (limited to 'scripts/t-rex-64-debug-gdb')
-rwxr-xr-xscripts/t-rex-64-debug-gdb19
1 files changed, 14 insertions, 5 deletions
diff --git a/scripts/t-rex-64-debug-gdb b/scripts/t-rex-64-debug-gdb
index 83ab82e0..da93138c 100755
--- a/scripts/t-rex-64-debug-gdb
+++ b/scripts/t-rex-64-debug-gdb
@@ -1,11 +1,20 @@
#! /bin/bash
export LD_LIBRARY_PATH=`pwd`
-#Add dummy lib in case we don't find it, e.g. there is no OFED installed
-if ldd _t-rex-64 | grep "libibverbs.so" | grep -q "not found"; then
-export LD_LIBRARY_PATH=$PWD:$PWD/dumy_libs
+EXTRA_INPUT_ARGS=""
+
+./trex-cfg $INPUT_ARGS
+RESULT=$?
+
+if [ $RESULT -eq 255 ]; then
+ echo "ERROR encountered while configuring trex system"
+ exit $RESULT
fi
-
-/usr/bin/gdb --args ./_t-rex-64-debug $@
+if [ $RESULT -eq 32 ]; then
+ EXTRA_INPUT_ARGS="--mlx5-so"
+fi
+
+
+/usr/bin/gdb --args ./_t-rex-64-debug $@ $EXTRA_INPUT_ARGS